# TdApi.SearchPublicChats (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SearchPublicChats

Package it.tdlight.jni

# Class TdApi.SearchPublicChats

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.SearchPublicChats

Enclosing class:
  TdApi

    public static class TdApi.SearchPublicChats
    extends TdApi.Function

Searches public chats by looking for specified query in their username and title. Currently only private chats, supergroups and channels can be public. Returns a meaningful number of results. Excludes private chats with contacts and chats from the chat list from the results.

Returns `Chats`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `query` | Query to search for.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SearchPublicChats()` | Searches public chats by looking for specified query in their username and title.
`SearchPublicChats​(DataInput input)` |
`SearchPublicChats​(String query)` | Searches public chats by looking for specified query in their username and title.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### query

public String query
Query to search for.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SearchPublicChats

public SearchPublicChats()
Searches public chats by looking for specified query in their username and title. Currently only private chats, supergroups and channels can be public. Returns a meaningful number of results. Excludes private chats with contacts and chats from the chat list from the results.

Returns `Chats`

### SearchPublicChats

public SearchPublicChats​(String query)
Searches public chats by looking for specified query in their username and title. Currently only private chats, supergroups and channels can be public. Returns a meaningful number of results. Excludes private chats with contacts and chats from the chat list from the results.

Returns `Chats`

Parameters:
  `query` - String Query to search for.

### SearchPublicChats

public SearchPublicChats​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`